Subject: Re: linux-next: manual merge of the tip tree with the kbuild tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 23 May 2022 15:46:18 +1000

Hi Masahiro,

On Mon, 23 May 2022 14:37:28 +0900 Masahiro Yamada <[email-masked]> wrote:
>
> On Mon, May 23, 2022 at 1:24 PM Stephen Rothwell <[email-masked]> wrote:
> >
> > I am not sure if I fixed this up correctly, please check the final result
> > when linux-next is released.
> 
> I think you can fix up around line 420
> of scripts/Makefile.build
> 
> 
> $(multi-obj-m): objtool-enabled := $(delay-objtool)
> $(multi-obj-m): part-of-module := y
> $(multi-obj-m): linked-object := y                        <--- Add this
> $(multi-obj-m): %.o: %.mod FORCE
>         $(call if_changed_rule,ld_multi_m)

Yeah, I tried that, but it needed more - see my upcoming reply to
myself ... (which is probably overkill, but gets rid of lots of
warnings).
-- 
Cheers,
Stephen Rothwell